Summary:	The Light Display Manager (GTK+ greeter)
Name:		lightdm-gtk-greeter
Version:	2.0.1
Release:	%mkrel 1
License:	GPLv3+
Group:		Graphical desktop/Other
Source0:	https://launchpad.net/%{name}/2.0/%{version}/+download/%{name}-%{version}.tar.gz
Source1:	lightdm-gtk-greeter.conf
Source2:	lightdm-default-user.svg
URL:		http://www.freedesktop.org/wiki/Software/LightDM
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(liblightdm-gobject-1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gettext-devel
BuildRequires:	autoconf
BuildRequires:	automake

%description
A LightDM greeter that uses the GTK+ toolkit.

%package common
Summary:	Common files for the Light Display Manager
Group:		Graphical desktop/Other
BuildArch:	noarch
# For mga logo:
Requires:	desktop-common-data
# For icons in top right corner
Requires:	adwaita-icon-theme
# For icons in HighContrast mode
Requires:	gnome-themes-standard
Conflicts:	%{name} < 1.5.1

%description common
This package contains the common files for the Light Display Manager.

%package -n lightdm-gtk3-greeter
Summary:        The Light Display Manager (GTK3 greeter)
Group:          Graphical desktop/Other
Provides:	lightdm-greeter
Requires:	lightdm-gtk-greeter-common = %{version}-%{release}
Requires:	lightdm
Requires(post):         update-alternatives
Requires(postun):	update-alternatives
# GTK2 greeter was removed
Obsoletes:	lightdm-gtk2-greeter < 2.0.0

%description -n lightdm-gtk3-greeter
A LightDM greeter that uses the GTK3 toolkit.

#-------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-indicator-services-command \
	--enable-at-spi-command=%{_libexecdir}/at-spi-bus-launcher
%make

%install
%makeinstall_std

# default conf
install -Dpm644 %{_sourcedir}/lightdm-gtk-greeter.conf \
	%{buildroot}%{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf.d/50-%{_real_vendor}.conf

# rename gtk3 greeter
mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_sbindir}/lightdm-gtk3-greeter

# install .desktop files
mv %{buildroot}%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop \
	%{buildroot}%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop

# fix .desktop files
sed -i -e 's,%{name},lightdm-gtk3-greeter,g' %{buildroot}%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop

# default user icon
install -Dpm644 %{_sourcedir}/lightdm-default-user.svg \
	%{buildroot}%{_datadir}/%{name}/default-user-image.svg

# symlink badges to work with our session files
pushd %{buildroot}%{_iconsdir}/hicolor/scalable/places
	ln -s xfce_badge-symbolic.svg 06xfce4_badge-symbolic.svg
	ln -s lxde_badge-symbolic.svg 04lxde_badge-symbolic.svg
	ln -s kde_badge-symbolic.svg 01kde_badge-symbolic.svg
	ln -s kde_badge-symbolic.svg 02plasma_badge-symbolic.svg
	ln -s gnome_badge-symbolic.svg 02gnome_badge-symbolic.svg
	ln -s gnome_badge-symbolic.svg 03gnome_classic_badge-symbolic.svg
	ln -s mate_badge-symbolic.svg 10mate_badge-symbolic.svg
	ln -s wmaker-common_badge-symbolic.svg 03windowmaker_badge-symbolic.svg
popd

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%post -n lightdm-gtk3-greeter
%{_sbindir}/update-alternatives \
        --install %{_datadir}/xgreeters/lightdm-greeter.desktop \
        lightdm-greeter \
        %{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop \
        20

%postun	-n lightdm-gtk3-greeter
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
        --remove lightdm-greeter \
        %{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop
fi


%files common -f %{name}.lang
%doc NEWS
%config(noreplace) %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf
%dir %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf.d/
%config %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf.d/50-%{_real_vendor}.conf
%{_iconsdir}/hicolor/scalable/places/*.svg
%{_datadir}/%{name}/default-user-image.svg

%files -n lightdm-gtk3-greeter
%{_sbindir}/lightdm-gtk3-greeter
%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop


%changelog
* Wed Jun 24 2015 wally <wally> 2.0.1-1.mga5
+ Revision: 842267
- new version 2.0.1
  * fixes greeter background issues (mga#15722)
- disable indicator-services and enable at-spi
- move mga config customizations to lightdm-gtk-greeter.conf.d/
- move default user icon away from icon theme dir

* Thu Feb 19 2015 wally <wally> 2.0.0-1.mga5
+ Revision: 815815
- new version 2.0.0
- obsolete lightdm-gtk2-greeter (which was dropped by upstream)

* Wed Feb 11 2015 wally <wally> 1.8.5-8.mga5
+ Revision: 814694
- use Adwaita as theme

* Sat Oct 25 2014 wally <wally> 1.8.5-7.mga5
+ Revision: 793140
- create symlinks for session badge icons to match our session file names

* Sat Oct 25 2014 wally <wally> 1.8.5-6.mga5
+ Revision: 793136
- provide nicer default user icon
- package missing session badge icons for gtk3 greeter

* Fri Oct 24 2014 wally <wally> 1.8.5-5.mga5
+ Revision: 793026
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Wed Oct 15 2014 umeabot <umeabot> 1.8.5-4.mga5
+ Revision: 743544
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.5-3.mga5
+ Revision: 681929
- Mageia 5 Mass Rebuild

* Mon May 12 2014 wally <wally> 1.8.5-2.mga5
+ Revision: 622202
- fix default icon theme in config

* Wed May 07 2014 wally <wally> 1.8.5-1.mga5
+ Revision: 621054
- new version 1.8.5

* Wed Apr 09 2014 wally <wally> 1.8.4-1.mga5
+ Revision: 613042
- new version 1.8.4

* Fri Mar 14 2014 wally <wally> 1.8.3-1.mga5
+ Revision: 603902
- new version 1.8.3

* Sun Mar 02 2014 wally <wally> 1.8.2-2.mga5
+ Revision: 598581
- use updated source tarball

* Sun Mar 02 2014 wally <wally> 1.8.2-1.mga5
+ Revision: 598576
- new version 1.8.2

* Fri Feb 14 2014 wally <wally> 1.8.1-1.mga5
+ Revision: 591198
- new version 1.8.1
- drop upstreamed invalid user handling patch

* Tue Feb 11 2014 wally <wally> 1.8.0-1.mga5
+ Revision: 589407
- new version 1.8.0
- rediff default config patch
- enable clock
- use mageia logo as default user image
- tag common subpkg as noarch

* Wed Jan 08 2014 luigiwalser <luigiwalser> 1.6.1-3.mga4
+ Revision: 565494
- add patch from opensuse to fix crash hitting enter w/no username (CVE-2014-0979, bnc#857303)

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 536714
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 1.6.1-1.mga4
+ Revision: 485395
- new version 1.6.1

* Tue Jun 04 2013 wally <wally> 1.6.0-1.mga4
+ Revision: 437220
- new version 1.6.0
- rediff config patch

* Fri May 24 2013 wally <wally> 1.5.1-1.mga4
+ Revision: 426339
- new version 1.5.1
- add support for both gtk2 and gtk3 greeters

* Mon Apr 01 2013 wally <wally> 1.3.1-6.mga3
+ Revision: 407051
- add patches to build against GTK2 and do it (should fix mga#9106)

* Sat Jan 12 2013 umeabot <umeabot> 1.3.1-5.mga3
+ Revision: 358775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 wally <wally> 1.3.1-4.mga3
+ Revision: 333816
- add patch from Fedora to fix missing HighContrast theme/icons
- require gnome-themes-standard for HighContrast theme/icons

* Thu Dec 20 2012 wally <wally> 1.3.1-3.mga3
+ Revision: 333428
- add patch from Derek Jennings to fix .jpg background loading (mga#8413)

* Sat Nov 03 2012 wally <wally> 1.3.1-2.mga3
+ Revision: 313312
- use icons from gnome-icon-theme by default

* Sat Sep 01 2012 wally <wally> 1.3.1-1.mga3
+ Revision: 286985
- new version 1.3.1

* Sat Aug 25 2012 wally <wally> 1.3.0-3.mga3
+ Revision: 283938
- add NEWS as doc file

* Sat Aug 25 2012 wally <wally> 1.3.0-2.mga3
+ Revision: 283929
- require desktop-common-data for mga logo

* Sat Aug 25 2012 wally <wally> 1.3.0-1.mga3
+ Revision: 283924
- new version 1.3.0
- use mga logo in greeter window
- rediff and rename P0

* Sat Jul 28 2012 wally <wally> 1.1.6-4.mga3
+ Revision: 275421
- provide lightdm-greeter with alternatives system
- clean .spec

* Sat Jun 23 2012 wally <wally> 1.1.6-3.mga3
+ Revision: 262779
- fix mga background patch

* Sat Jun 09 2012 fwang <fwang> 1.1.6-2.mga3
+ Revision: 258408
- fix typo

* Sat Jun 09 2012 fwang <fwang> 1.1.6-1.mga3
+ Revision: 258403
- use mga background
- update file list
- br lightdm
- imported package lightdm-gtk-greeter

